io.milvus.response

## Class ShowCollResponseWrapper

- java.lang.Object
- - io.milvus.response.ShowCollResponseWrapper

    public class ShowCollResponseWrapper
    extends java.lang.Object

Util class to wrap response of `showCollections` interface.

### Nested Class Summary

Nested Classes
`static class` `ShowCollResponseWrapper.CollectionInfo` Internal-use class to wrap response of `showCollections` interface.

### Constructor Summary

Constructors
Constructor and Description
`ShowCollResponseWrapper(@NonNull io.milvus.grpc.ShowCollectionsResponse response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ShowCollResponseWrapper.CollectionInfo` `getCollectionInfoByName(@NonNull java.lang.String collectionName)` Get information of one collection by name.
`java.util.List<java.lang.String>` `getCollectionNames()`
`java.util.List<ShowCollResponseWrapper.CollectionInfo>` `getCollectionsInfo()` Get information of the collections.
`java.lang.String` `toString()` Construct a `String` by `ShowCollResponseWrapper` instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ShowCollResponseWrapper

    public ShowCollResponseWrapper(@NonNull
                                   @NonNull io.milvus.grpc.ShowCollectionsResponse response)

### Method Detail

#### getCollectionNames

    public java.util.List<java.lang.String> getCollectionNames()

#### getCollectionsInfo

    public java.util.List<ShowCollResponseWrapper.CollectionInfo> getCollectionsInfo()
                                                                              throws IllegalResponseException

Get information of the collections.

Returns:
  List of CollectionInfo, information array of the collections
Throws:
  `IllegalResponseException`

#### getCollectionInfoByName

    public ShowCollResponseWrapper.CollectionInfo getCollectionInfoByName(@NonNull
                                                                          @NonNull java.lang.String collectionName)

Get information of one collection by name.

Parameters:
  `collectionName` - collection name to get information
Returns:
  `ShowCollResponseWrapper.CollectionInfo` information of the collection

#### toString

    public java.lang.String toString()

Construct a `String` by `ShowCollResponseWrapper` instance.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  `String`